/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { SchemaSettingOptions, SchemaSettingsItemType, SchemaSettingsItemTypeWithoutName } from './types';
export declare class SchemaSettings<T = {}> {
    options: SchemaSettingOptions<T>;
    name: string;
    get items(): SchemaSettingsItemType[];
    constructor(options: SchemaSettingOptions<T>);
    add(name: string, item: SchemaSettingsItemTypeWithoutName): void;
    get(nestedName: string): SchemaSettingsItemType | undefined;
    remove(nestedName: string): void;
}
